Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		digikam
Version:	1.7.0
Release:	1
Epoch:		1
BuildArch:	i686
License:	GNU/GPL 
URL:		http://digikam.sourceforge.net/
Group:		Graphics
Source0:	%{name}-%{version}%{?beta:-beta%{beta}}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	digikam is an digital photo management application.
#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: cyrus-sasl-lib cyrus-sasl-devel >= 2.1.23-2 cyrus-sasl >= 2.1.23-2
BuildRequires: gamin-devel
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: jasper-devel
BuildRequires: kdeedu-devel
BuildRequires: kdegraphics-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: lcms-devel
BuildRequires: lensfun-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libgphoto2-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: openldap-devel
BuildRequires: pcre-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: shared-desktop-ontologies
BuildRequires: qt4-devel
BuildRequires: strigi-devel
BuildRequires: zlib-devel
# manual dependencies
BuildRequires:  exiv2-devel soprano-devel kdebase-runtime
BuildRequires:  libidn-devel glib-devel kdebase-workspace-devel
BuildRequires:  liblqr-devel automoc4 kdebase-devel
BuildRequires:	kdeedu-devel kdeplasma-addons

%description
digikam is an easy to use and powerful digital photo management application,
which makes importing, organizing and manipulating digital photos a "snap".
An easy to use interface is provided to connect to your digital camera,
preview the images and download and/or delete them.
For more details see: http://digikam.sourceforge.net/

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}%{?beta:-beta%{beta}}

%build
mkdir build
pushd build
cmake ../.  -DCMAKE_INSTALL_PREFIX=%{_prefix} 
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/cleanup_digikamdb
%_bindir/digikam
%_bindir/digitaglinktree
%_bindir/showfoto
%{_kde4_appsdir}/digikam/
%{_kde4_appsdir}/showfoto/
%{_kde4_appsdir}/solid/actions/digikam-opencamera.desktop
%{_kde4_libdir}/kde4/digikamimageplugin_*.so
%{_kde4_libdir}/kde4/kio_digikam*.so
%{_kde4_libdir}/kde4/digikamnepomukservice.so
%{_kde4_libdir}/libdigikamcore.so.*
%{_kde4_libdir}/libdigikamdatabase.so.*
%{_kde4_datadir}/kde4/services/
%{_kde4_datadir}/kde4/servicetypes/
%_datadir/applications/kde4/digikam.desktop
%_datadir/applications/kde4/showfoto.desktop
%_mandir/man1/cleanup_digikamdb.1.gz
%_mandir/man1/digitaglinktree.1.gz
%_locale/*/LC_MESSAGES/digikam.mo

%{_datadir}/icons/hicolor/*/apps/digikam.png
%{_datadir}/icons/hicolor/*/apps/showfoto.png
%{_datadir}/icons/hicolor/scalable/apps/digikam.svgz
%{_datadir}/icons/hicolor/scalable/apps/showfoto.svgz
%_libdir/kde4/plugins/marble/ExternalDraw.so
%_libdir/kde4/libexec/digikamdatabaseserver

%files devel
%defattr(-,root,root)
%_includedir/digikam/
%_includedir/digikam_export.h
%{_kde4_libdir}/libdigikamcore.so
%{_kde4_libdir}/libdigikamdatabase.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 31 2010 Christian Metzen <metzench@ccux-linux.de> 1.7.0-1
- Version update
* Mon Oct 11 2010 Christian Metzen <metzench@ccux-linux.de> 1.5.0-1
- Version update
* Mon Aug 23 2010 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-2
- rebuilt against qt4-4.7.0-3, kde 4.4.92
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Tue Feb 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- rebuilt against kdegraphics 4.4.0
* Wed Feb 03 2010 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Version update
* Tue Dec 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-4
- 1.0.0 final release
* Thu Nov 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-3
- Version update
- beta6
* Tue Oct 20 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-2
- Version update
- beta5
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
- beta3
* Wed Mar 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.10.0-13
- Version update
- final release
* Mon Feb 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-12
- version update
- rc2
* Wed Jan 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-11
- version update
- rc1
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-10
- version update
- beta8
* Sun Dec 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-9
- version update
- beta7
* Sun Dec 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-8
- version update
- beta6
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-7
- version update
- beta5
* Sat Oct 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-6
- rebuilt against boost 1.36.0
* Sat Oct 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-5
- version update
- beta4
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-4
- rebuilt against kdegraphics 4.1.2
* Wed Sep 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-3
- version update
- beta3
* Thu Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-2
- version update
- beta2
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-1
- version update
- beta1
- this is the KDE4 port of digikam
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-4
- version update
- beta4
* Tue Apr 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-3
- version update
- beta3
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-2
- version update
- beta2
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- version update
- beta1
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Sat Jan 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.2-2
- rebuild against gcc 4.1.2
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Version update
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.1-1
- version update
* Fri Feb 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.0-2
- rebuilt against libkipi 0.1.5, kipi-plugins 0.1.3
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.0-1
- Version update
* Wed Jul 19 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.2-1
- Version update
* Wed May 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.1-3
- Adjusted build flags
* Sat Jan 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.1-2
- Fixed devel package require
* Wed Jan 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.1-1
- Version update
* Mon Jan 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-2
- rebuilt against sqlite 3.2.8
* Mon Nov 28 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Sat Sep 24 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.4-3
- rebuild, removed ccux branded splashscreens
* Thu Aug 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.7.4-2
- Readded Epoch Flag
* Tue Aug 23 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.4-1
- update to Version 0.7.4
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.3-1
- update to Version 0.7.3 : non beta
* Thu May 06 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.3-beta2-1
- update to Version 0.7.3-beta2
- remove showfoto icon - it's allready included
* Tue Apr 19 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.3-beta1-2
- added showfoto icon
* Sat Apr 16 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.3-beta1-1
- Initial Release
